petsc-3.4.2 2013-07-02

# DMSetFromOptions

sets parameters in a DM from the options database

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMSetFromOptions(DM dm)

Collective on DM

### Input Parameter

dm -the DM object to set options for

### Options Database

| -dm_preallocate_only: Only preallocate the matrix for DMCreateMatrix(), but do not fill it with zeros | - . -dm_vec_type <type> type of vector to create inside DM
| -dm_mat_type <type> type of matrix to create inside DM | - - -dm_coloring_type <global or ghosted>

### See Also

DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex28.c.html
src/snes/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/ex52.c.html
src/snes/examples/tutorials/ex62.c.html